Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000677KdenliveRenderingpublic2009-02-16 00:252009-06-03 07:46
Reporterjdobry 
Assigned Toddennedy 
PrioritynormalSeverityfeatureReproducibilityalways
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version0.7.2 
Target VersionFixed in Version 
Summary0000677: add top-field-first option (was: output from rendering is allways progressive never interlaced)
DescriptionHow to reproduce this bug:

1) Lets have PAL interlaced MPEG2 input and use "mediainfo.sourceforge.net" to get information about it:

Scan type : Interlaced
Scan order : Top Field First

2) Let create simple project with this file, (no crop, no effect, simple copy)

3) render it (DVD -> PAL 4:3 vob)

4) it produce same interlaced pictures as in input, but information about interlace (MPEG flags is lost)

mediainfo tell me:
Scan type : Progressive

Pictures is correct but with false progressive signalization it can be used on DVD player

Render setting for Scan "Auto" or "Force interlaced" have no effect.
Additional InformationDebinan Lenny / Debian Multimedia repositories
TagsNo tags attached.
Build/Install Method3rd party package
Attached Files

- Relationships

-  Notes
(0002445)
jdobry (reporter)
2009-02-22 09:14

It is absolutely strange:

Input files is interlaced TFF MPEG2
Output files have BFF interlaced pictures in progressive MPEG.

Work around: patch MPEG result to BFF interlaced. It can be done by ProjectX (you must use CVS snapshot, last released version have bug in this part)

Again: Input is TFF, output is BFF marked as Progressive
(0002545)
ddennedy (developer)
2009-03-13 08:01

MLT is currently limited to normalizing all inputs to bottom field first. However, it should encode as interlace when using a non-progressive project setting and render profile, and I will take a look into that. I will put into my MLT ToDo list to make it possible to indicate a preference for top field first output.
(0002680)
ddennedy (developer)
2009-04-09 09:15

The interlace vs progressive encoding is fixed in MLT SVN r1384.
The field order is much larger task still on ToDo.
(0002688)
xzhayon (developer)
2009-04-09 13:30

feedback needed (i have no media file to test with)
(0002689)
jdobry (reporter)
2009-04-09 14:13

On this moment I am not abble compile this project (after succesful compilation it have strange behavior)

But you can try it with my file http://tmo.ic.cz/MOV00A.mpg [^]

This file is MPEG2 interlaced TFF PAL

PS: I am author of this file, licence is LGPL. You can to do anything what you want.
(0002690)
ddennedy (developer)
2009-04-09 18:15

This issue has nothing to do with your source video files. Interlace output is determined by your project and render settings. Previously, MLT required you to explicitly tell it to _encode_ as interlace even though it already was told to _process_ images as interlace. With the change, when not explicitly told how to encode, it now uses the _processing_ hint to automatically set the _encoding_ flags for interlace or not. I confirmed the issue and its resolution using ffplay -debug 1 and mpeg2dec -v.

Again the issue with field order is NOT resolved, but that is fairly minor. It is simply not ideal to have the option of TFF output. Otherwise, BFF is perfectly valid in MPEG-2, and MLT's image processing automatically and correctly converts TFF inputs to BFF so that files with different field dominance (DV is BFF and extremely popular) can be combined in the same project and their images blended and composited.
(0002698)
ddennedy (developer)
2009-04-11 08:24

Taking assignment to make it possible to have TFF output (although not a high priority at the moment, already fixed automatic interlaced encoding with interlaced project/render setting).

- Issue History
Date Modified Username Field Change
2009-02-16 00:25 jdobry New Issue
2009-02-16 00:25 jdobry Build/Install Method => 3rd party package
2009-02-22 09:14 jdobry Note Added: 0002445
2009-03-13 07:54 ddennedy Status new => assigned
2009-03-13 07:54 ddennedy Assigned To => ddennedy
2009-03-13 08:01 ddennedy Note Added: 0002545
2009-04-09 09:15 ddennedy Note Added: 0002680
2009-04-09 13:30 xzhayon Note Added: 0002688
2009-04-09 13:30 xzhayon Status assigned => feedback
2009-04-09 14:13 jdobry Note Added: 0002689
2009-04-09 18:15 ddennedy Note Added: 0002690
2009-04-11 08:24 ddennedy Note Added: 0002698
2009-04-11 08:24 ddennedy Status feedback => assigned
2009-06-03 07:46 ddennedy Severity major => feature
2009-06-03 07:46 ddennedy Summary output from rendering is allways progressive never interlaced => add top-field-first option (was: output from rendering is allways progressive never interlaced)


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker